extern crate core;

mod client;
mod config;
mod handles;
mod typing;
mod utils;

use client::handle_client;
use config::config::STATIC_ADDR as addr;
use tokio::net::TcpListener;

#[tokio::main]
async fn main() {
    let listener = TcpListener::bind(addr).await.unwrap();
    while let Ok((stream, _)) = listener.accept().await {
        tokio::spawn(handle_client(stream));
    }
}
